<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: edit.board_type.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: редактирование типа предложения
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../../../.." );
define( "ENGINE_DIR", "../../../.." );
require_once( ENGINE_DIR."/ajax/board/admin/OptAjax.php" );

//-------------------------------------------------====
//	Само сохранение и вывод данных
//-------------------------------------------------====

$id = intval( $_REQUEST['id'] );
if( $id )
	{
		if( $Board->DB['board_type'][ $id ] )
			{
				if( isset( $_POST['submit'] ) )
					{
						$sort = intval( $_POST['sort'] );
						$Options['name'] = htmlspecialchars( stripslashes( CharsetConvert( $_POST['name'] ) ) );
						$Options['AllowCats'] = $_REQUEST['AllowCats'];
						
						if( count( $Options['AllowCats'] ) < 1 || !is_array( $Options['AllowCats'] ) )
							$Options['AllowCats'] = "all";
						else
							$Options['AllowCats'] = implode( ",", $Options['AllowCats'] );
						
						if( !$Options['name'] ) die( "<span style=\"color: #F00;\">Введите название</span>" );
						$Options = $db->safesql( $Board->CompileOpt( $Options ) );
						
						$db->query( "UPDATE ".PREFIX."_board_options SET `options`='{$Options}',`sort`='{$sort}' WHERE `id`='{$id}' LIMIT 1" );
						$Board->CleareAllCache();
						
						echo ThisClose();
						echo "<span style=\"color: green;\">Сохранено</span><script type=\"text/javascript\" language=\"javascript\">CloseWindow( 'board_type' );</script>";
					}
						else
					{
						$name = htmlspecialchars( stripslashes( $Board->DB['board_type'][ $id ]['name'] ) );
						$sort = intval( $Board->DB['board_type'][ $id ]['sort'] );
						$AllowCats = $Board->SelectCategory( explode( ",", $Board->DB['board_type'][ $id ]['AllowCats'] ), "", "", "", true );
						
echo <<<HTML

<form method="post" action="" name="LightWindowForm" onsubmit="formSubmit( 'LightWindowForm', 'board/edit.board_type.php', 'LightWindowStatus', 'status.gif', 'LightWindowStatus', 'off' ); return false;">
	<table width="100%" border="0">
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td width="150px">Название типа: *</td>
			<td>
				<input type="text" name="name" value="{$name}" class="edit" style="width: 70%;" />
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="110px">
			<td style="padding: 0px 0px 0px 5px;">Категории: *</td>
			<td>
				<select name="AllowCats[]" multiple="multiple" style="height: 100px;">
					{$AllowCats}
				</select>
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td>Сортировка</td>
			<td>
				<input type="text" name="sort" value="{$sort}" style="text-align: center; width: 80px;" class="edit" />
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
	</table>
	<div style="text-align: right; padding: 10px 0px 0px 0px;">
		<span id="LightWindowStatus" style="padding: 0px 10px 0px 0px;"></span>
		<input type="hidden" name="id" value="{$id}" />
		<input type="submit" name="submit" value="Сохранить" class="edit" />
		<input type="button" value="Отмена" class="edit" onclick="OpenCloseLightWindow(); return false;" />
	</div>
</form>

HTML;

					}
			}
				else
			{
				echoReturn( "Типа не существует, или он был удалён!" );
			}
	}
		else
	{
		echoReturn( "Не указан идентификатр типа!" );
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>